* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'Kumbh Sans', sans-serif;
    scroll-behavior: smooth;
}

@media screen and (max-width: 960px) {
    * {
        overflow-x: hidden;
    }
}


/* Navbar Section */

.navbar {
    background: #FCFCFF;
    height: 90px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.2rem;
    position: sticky;
    top: 0;
    z-index: 999;
    box-shadow: 0 0 4px 2px rgba(0,0,0,0.2);
}

.navbar-container {
    display: flex;
    justify-content: space-between;
    height: 80px;
    z-index: 1;
    width: 100%;
    max-width: 1300px;
    margin: 0 auto;
    padding: 0 50px 0 30px;
}

#navbar-img {
    height: 90%;
    padding: 10px 0;
}

.navbar-menu {
    display: flex;
    align-items: center;
    list-style: none;
    text-align: center;
}

.navbar-item {
    height: 80px;
}

.navbar-links {
    color: #211C1F;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    padding: 0 1rem;
    height: 100%;
}

.navbar-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 1rem;
    width: 100%;
}

.button {
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    padding: 10px 20px;
    height: 100%;
    width: 100%;
    border: none;
    border-radius: 4px;
    background: #D36B73;
    color: #FCFCFF;
}

.button:hover {
    background: #BBB6DF;
    transition: all 1s ease;
}

.navbar-links:hover {
    color: #BD6B73;
    transition: all 0.3s ease;
}


/* Mobile Menu */

@media screen and (max-width: 960px) {
    .navbar {
        overflow-x: visible !important;
    }
    
    .navbar-container {
        padding: 0;
    }

    .navbar-menu {
        display: flex;
        flex-direction: column;
        justify-content: space-around;
        width: 100%;
        position: absolute;
        top: -1000px;
        opacity: 0;
        transition: all 0.5s ease;
        height: 50vh;
        z-index: 99;
    }

    .navbar-menu.active {
        background: #FCFCFF;
        top: 100%;
        opacity: 1;
        transition: all 0.5s ease;
        height: 50vh;
        font-size: 1.6rem;
        box-shadow: 0 30px 10px #211c1f41;
    }

    #navbar-logo {
        padding-left: 25px;
    }

    .navbar-toggle {
        margin: 6px auto;
        cursor: pointer;
    }

    .navbar-toggle .bar {
        width: 25px;
        height: 3px;
        margin: 5px auto;
        transition: all 0.3s ease-in-out;
        background: #211C1F;
    }

    .navbar-item {
        width: 100%;
    }

    .navbar-links {
        text-align: center;
        padding: 1rem;
        width: 100%;
    }

    #mobile-menu {
        position: absolute;
        top: 20%;
        right: 5%;
        transform: translate(5%, 20%);
    }

    .navbar-btn {
        padding-bottom: 4rem;
    }

    .button {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 80%;
        height: 80px;
        margin: 0;
    }

    .navbar-toggle .bar {
        display: block;
        cursor: pointer;
    }

    #mobile-menu.is-active .bar:nth-child(2) {
        opacity: 0;
    }

    #mobile-menu.is-active .bar:nth-child(1) {
        transform: translateY(8px) rotate(45deg);
    }

    #mobile-menu.is-active .bar:nth-child(3) {
        transform: translateY(-8px) rotate(-45deg);
    }   
}





/* Hero Section CSS */

.main {
    background-color: #FCFCFF;
}

.main-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin: 0 auto;
    max-width: 1300px;
    padding: 50px;
    gap: 50px;
}

.main-content h1 {
    font-size: 4rem;
    color: #D36B73;
}

.main-desc {
    margin-top: 1rem;
    font-size: 1.7rem;
    font-weight: 500;
    color: #211C1F;
}

#directions {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 20px;    
}

#hero-img {
    max-height: 50vh;
}

/* Hero Section - Mobile Responsive */

@media screen and (max-width: 768px) {
    
    .main-container {
        width: 100%;
        height: 100%;
        margin: 0 auto;
        padding: 0px 40px 100px 40px;
    }

    .main-content {
        text-align: center;
        margin-bottom: 1rem;
        margin-top: 2rem;
    }

    .main-content h1 {
        font-size: 2.5rem;
        margin: 1rem;
    }

    .main-content h2 {
        font-size: 3rem;
    }

    .main-content p {
        font-size: 1.6rem;
        margin-top: 2rem;
    }

    .hero-img-wrap {
        margin: 2rem 0;
    }

}

@media screen and (max-width: 480px) {

    .main-container {
        gap: 20px;
        padding: 0 10px 100px 10px;
    }
    
    .main-content h1 {
        font-size: 2rem;
    }

    .main-content h2 {
        font-size: 2rem;
    }

    .main-content p {
        font-size: 1.1rem;
        margin-top: 2rem;
    }

    .main-btn {
        padding: 12px 36px;
        margin: 2rem 0 1rem 0;
    }

    .hero-img-wrap {
        margin: 1rem 0;
        min-width: 250px;
    }

    .main-desc{
        max-width: 90vw;
        margin: 0 auto;
    }

    #directions {
        display: flex;
        flex-direction: column;
        align-items: center;
        font-size: 0.8rem;
    }

}








/* Projects Section */


/* Projects Section - Mobile Responsiveness */








/* Footer Section */

.footer-container {
    background-color: #211C1F;
    padding: 5rem 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.footer-links {
    width: 100%;
    max-width: 1000px;
    display: flex;
    justify-content: center;
}

.footer-link-wrapper {
    display: flex;
    justify-content: center;
    margin: auto;
}

.footer-link-items {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin: 16px;
    text-align: left;
    width: 160px;
    box-sizing: border-box;
}

.footer-link-items h2 {
    margin-bottom: 16px;
}

.footer-link-items > h2 {
    color: #FCFCFF;
}

.footer-link-items a {
    color: #FCFCFF;
    text-decoration: none;
    margin-bottom: 0.5rem;
}

.footer-link-items a:hover {
    color: #fcfcff85;
    transition: 0.3s ease-out;
}

/* Social Icons */

.social__icon--link {
    color: #FCFCFF;
    font-size: 24px;
}

.social-media {
    max-width: 1000px;
    width: 100%;
}

.social-media-wrap {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 90%;
    max-width: 1000px;
    margin: 40px auto 0 auto;
}

.social-icons {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 70px;
}

.social__logo {
    color: #FCFCFF;
    justify-self: flex-start;
    margin-left: 20px;
    cursor: pointer;
    text-decoration: none;
    font-size: 2rem;
    display: flex;
    align-items: center;
    margin-bottom: 16px;
}

.website-rights {
    color: #FCFCFF;
}

#footer__logo {
    filter: invert(1);
}

#footer__img {
    display: flex;
    align-items: center;
    height: 100%;
    padding: 10px 10px;
    max-width: 240px;
}

/* Footer Section Mobile Responsiveness */

@media screen and (max-width: 820px) {
    .footer-links {
        padding-top: 2rem;
    }

    .footer-link-items {
        align-items: center;
    }

    .website-rights {
        margin-bottom: 2rem;
    }

    .social-media-wrap {
        flex-direction: column;
    }

}

@media screen and (max-width: 460px){
    .footer-link-items {
        margin: 0;
        padding: 10px;
        max-width: 45vw;
    }

    .footer-container h2 {
        font-size: 20px;
    }

    .footer-container a {
        font-size: 14px;
    }

    .website-rights {
        font-size: 12px;
    }

}